﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Threading;

namespace Globalizacion.Web
{
    public partial class _Default : System.Web.UI.Page
    {
        public string SilverlightCulture
        {
            get
            {
                if (ViewState["Culture"] == null)
                    return Thread.CurrentThread.CurrentCulture.Name;
                else
                    return ViewState["Culture"] as string;
            }
        }

        public string SilverlightUICulture
        {
            get
            {
                if (ViewState["Culture"] == null)
                    return Thread.CurrentThread.CurrentUICulture.Name;
                else
                    return ViewState["Culture"] as string;
            }
        }

        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void btnSpanish_Click(object sender, EventArgs e)
        {
            ViewState["Culture"] = "es";
        }

        protected void btnEnglish_Click(object sender, EventArgs e)
        {
            ViewState["Culture"] = "en";
        }

        protected void btnAuto_Click(object sender, EventArgs e)
        {
            ViewState.Remove("Culture");
        }
    }
}
